/* eslint-disable import/order */
// 此文件自动生成，不要手工修改
import Vue from 'vue'
import {
Button,
Card,
Checkbox,
Dropdown,
FormModel,
Icon,
Input,
List,
Menu,
Modal,
Radio,
Switch,
Tag,
Tooltip,
} from 'ant-design-vue'
import SdBusinessListConfig from '../sd-business-list-config.vue'
import SdBusinessStatisConfig from '../sd-business-statis-config.vue'
import SdDataTable from '@/common/components/sd-data-table.vue'
import SdDetailModal from '@/common/components/sd-detail-modal.vue'
import SdForm from '@/common/components/sd-form.vue'
import SdFormGuide from '../sd-form-guide.vue'
import SdFormItem from '@/common/components/sd-form-item.vue'
import SdFormPermConfig from '../sd-form-perm-config.vue'
import SdIcon from '@/common/components/sd-icon.vue'
import SdPickerSourceTree from '@/common/components/sd-picker-source-tree.vue'
import SdValuePicker from '@/common/components/sd-value-picker.vue'

Vue.use(Button)
Vue.use(Card)
Vue.use(Checkbox)
Vue.use(Dropdown)
Vue.use(FormModel)
Vue.use(Icon)
Vue.use(Input)
Vue.use(List)
Vue.use(Menu)
Vue.use(Modal)
Vue.use(Radio)
Vue.use(Switch)
Vue.use(Tag)
Vue.use(Tooltip)

export default {
  SdBusinessListConfig,
  SdBusinessStatisConfig,
  SdDataTable,
  SdDetailModal,
  SdForm,
  SdFormGuide,
  SdFormItem,
  SdFormPermConfig,
  SdIcon,
  SdPickerSourceTree,
  SdValuePicker,
}
